View Issue Details

IDProjectCategoryView StatusLast Update
0032767Open CASCADEOCCT:Meshpublic2022-03-24 09:20
Reporterknosulko Assigned Toknosulko  
PrioritynormalSeveritymajor 
Status verifiedResolutionfixed 
Product Version7.4.0 
Target Version7.6.2 
Summary0032767: Mesh - incorrect splitting of edges of seams leading to hang [since OCCT 7.4.0]
DescriptionWhile pre-processing of discrete model in BRepMesh_ModelPreProcessor thete is incorrect splitting of edges of seams in case of this seam being a BSPline which is scaled that leading to hang in stage of meshing of faces.

This scenario is a regression since OCCT 7.4.0.
Steps To Reproduce
restore s4.brep s
checkshape s; ## =>valid
incmesh s 0.01
TagsNo tags attached.
Test case numberbugs mesh bug32767

Attached Files

  • s4.brep (2,335 bytes)
  • bug32767.brep (2,335 bytes)

Relationships

related to 0026106 closedbugmaster BRepMesh - revision of data model 

Activities

knosulko

2022-01-11 16:56

developer  

s4.brep (2,335 bytes)

git

2022-01-20 17:17

administrator   ~0106484

Branch CR32767 has been created by knosulko.

SHA-1: 2503a628124a317bcc8734e8f2f894dc9f586e84


Detailed log of new commits:

Author: knosulko
Date: Thu Jan 13 03:17:50 2022 +0300

    0032767: Mesh - incorrect splitting of edges of seams leading to hang [since OCCT 7.4.0]
    
    - fix step by parameter of the edge while split curve in case of seam edges

git

2022-01-21 17:20

administrator   ~0106507

Branch CR32767 has been updated forcibly by knosulko.

SHA-1: adf351073e02d78160b9798dfb838e1f718e0f1a

git

2022-01-24 22:44

administrator   ~0106563

Branch CR32767 has been updated forcibly by knosulko.

SHA-1: a83cd30c65b8a7036f0dc533f0be711cf2ab8a37

git

2022-01-25 00:16

administrator   ~0106564

Branch CR32767 has been updated forcibly by knosulko.

SHA-1: b809afd20cf93ef1d0786835df88b0d33f668deb

git

2022-01-25 21:08

administrator   ~0106586

Branch CR32767 has been updated forcibly by knosulko.

SHA-1: 1f7418bc9639e025bf9440ac448cddbff5e77a03

knosulko

2022-01-25 21:22

developer   ~0106587

bug32767.brep (2,335 bytes)

git

2022-01-26 01:10

administrator   ~0106588

Branch CR32767 has been updated forcibly by knosulko.

SHA-1: 8cd58376d0db154d42e020892a6d84fd4d84e4ca

knosulko

2022-01-26 12:55

developer   ~0106602

Branch CR32767 is ready for review. Tests results :
http://jenkins-test-08.nnov.opencascade.com/view/CR32767-master-knosulko/view/COMPARE/

Branches for Integration:
OCCT - CR32767
Products - Not

git

2022-01-26 19:23

administrator   ~0106610

Branch CR32767 has been updated forcibly by knosulko.

SHA-1: 034212b22cb29b93606d11d85e7f543db5408f3a

git

2022-01-27 02:30

administrator   ~0106617

Branch CR32767 has been updated by knosulko.

SHA-1: 73fe7284e7c0e52a2fc339e98b94b5007d51037f


Detailed log of new commits:

Author: knosulko
Date: Thu Jan 27 02:28:30 2022 +0300

    # fix remarks

kgv

2022-01-27 09:19

developer   ~0106622

Last edited: 2022-01-27 09:19

@knosulko, while sending patch patch for review, please don't forget to comment on bugtracker suspicious changes in screenshots that look like regressions - e.g. mesh/standard_shading/N9, mesh/standard_shading/U5, mesh/standard_shading/O1 and similar.

git

2022-01-28 01:28

administrator   ~0106641

Branch CR32767 has been updated forcibly by knosulko.

SHA-1: 0715dd19e42e37525e9f6869fa7d2e66507a45d5

git

2022-01-28 17:05

administrator   ~0106655

Branch CR32767 has been updated forcibly by knosulko.

SHA-1: 35bdc24bc9501b96dd20c034c2e1ec0ca3669e18

knosulko

2022-01-28 19:10

developer   ~0106657

Branch CR32767 is ready for review. Tests results :
http://jenkins-test-08.nnov.opencascade.com/view/CR32767-master-knosulko/view/COMPARE/

Branches for Integration:
OCCT - CR32767
Products - Not

oan

2022-01-31 14:12

developer   ~0106692

@knosulko, please use references to avoid initialization of new instances like (except standard types):
const TopoDS_Edge& aE = theDEdge->GetEdge();
const TopoDS_Face& aF = theDFace->GetFace();

...
GetPCurve()
aPC1->Value()
GetPoint()
...

etc. where object is returned by some collection or another data model object.

git

2022-01-31 17:55

administrator   ~0106697

Branch CR32767 has been updated forcibly by knosulko.

SHA-1: 04f67eb0027786b24c320d8146230ab6de0f174c

knosulko

2022-02-01 10:08

developer   ~0106703

Last edited: 2022-02-01 10:56

Branch CR32767 is ready for review. Tests results :
http://jenkins-test-08.nnov.opencascade.com/view/CR32767-master-knosulko/view/COMPARE/

Branches for Integration:
OCCT - CR32767
Products - Not

git

2022-02-01 10:52

administrator   ~0106704

Branch CR32767 has been updated forcibly by knosulko.

SHA-1: 68bfee58d922cf12fe1df80837132c2863604275

knosulko

2022-02-01 13:20

developer   ~0106707

Branch CR32767 is ready for review. Tests results :
http://jenkins-test-08.nnov.opencascade.com/view/CR32767-master-knosulko/view/COMPARE/

Branches for Integration:
OCCT - CR32767
Products - Not

git

2022-02-01 14:12

administrator   ~0106708

Branch CR32767 has been updated forcibly by knosulko.

SHA-1: 0c2e46e8845859a6f395a88665bf5ca34f75beb5

ifv

2022-02-02 16:35

developer   ~0106719

Branch CR32767 seems to be valid

Branches for Integration:
OCCT - CR32767
Products - Not

smoskvin

2022-02-05 15:31

administrator   ~0106756

Combination -
OCCT branch : IR-2022-02-04
master SHA - ae38730d3520fc8d0fbe4a3b9a97afd0cebe6df8
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-02-04 SHA - a5b54e979c07dce0b82803d56bc5a21ddfc8c739
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18587.970000000663 / 18543.660000000695 [+0.24%]
Products
Total CPU difference: 11726.350000000115 / 11695.81000000013 [+0.26%]
Windows-64-VC14:
OCCT
Total CPU difference: 20311.71875 / 20351.53125 [-0.20%]
Products
Total CPU difference: 13174.703125 / 13126.203125 [+0.37%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-02-05 17:22

administrator   ~0106764

Branch CR32767 has been deleted by mnt.

SHA-1: 0c2e46e8845859a6f395a88665bf5ca34f75beb5

Related Changesets

occt: master 0b6a0adb

2022-01-13 03:17:50

knosulko


Committer: smoskvin Details Diff
0032767: Mesh - incorrect splitting of edges of seams leading to hang [since OCCT 7.4.0]

- fix step by parameter of the edge while split curve in case of seam edges
Affected Issues
0032767
mod - src/BRepMesh/BRepMesh_ModelPreProcessor.cxx Diff File
add - tests/bugs/mesh/bug32767 Diff File

Issue History

Date Modified Username Field Change
2022-01-11 16:56 knosulko New Issue
2022-01-11 16:56 knosulko Assigned To => knosulko
2022-01-11 16:56 knosulko File Added: s4.brep
2022-01-12 10:55 kgv Summary Mesh - incorrect splitting of edges of seams leadind to hang => Mesh - incorrect splitting of edges of seams leading to hang
2022-01-12 10:55 kgv Steps to Reproduce Updated
2022-01-12 12:54 kgv Product Version 7.6.0 => 7.4.0
2022-01-12 12:54 kgv Summary Mesh - incorrect splitting of edges of seams leading to hang => Mesh - incorrect splitting of edges of seams leading to hang [since OCCT 7.4.0]
2022-01-12 12:54 kgv Description Updated
2022-01-12 12:55 kgv Relationship added related to 0026106
2022-01-14 12:13 ifv Time allocated 14.1.2022: 3 h. => set
2022-01-14 16:05 knosulko Time allocated 12.1.2022: 8 h. => set
2022-01-14 16:07 knosulko Time allocated 13.1.2022: 8 h. => set
2022-01-14 16:08 knosulko Time allocated 14.1.2022: 8 h. => set
2022-01-20 17:17 git Note Added: 0106484
2022-01-21 15:09 knosulko Time allocated 17.1.2022: 8 h. => set
2022-01-21 15:10 knosulko Time allocated 18.1.2022: 8 h. => set
2022-01-21 15:10 knosulko Time allocated 19.1.2022: 8 h. => set
2022-01-21 15:11 knosulko Time allocated 20.1.2022: 8 h. => set
2022-01-21 15:11 knosulko Time allocated 21.1.2022: 8 h. => set
2022-01-21 17:20 git Note Added: 0106507
2022-01-24 22:44 git Note Added: 0106563
2022-01-25 00:16 git Note Added: 0106564
2022-01-25 21:08 git Note Added: 0106586
2022-01-25 21:21 knosulko Test case number => bugs mesh bug32767
2022-01-25 21:22 knosulko Note Added: 0106587
2022-01-25 21:22 knosulko File Added: bug32767.brep
2022-01-26 01:10 git Note Added: 0106588
2022-01-26 12:55 knosulko Assigned To knosulko => ifv
2022-01-26 12:55 knosulko Status new => resolved
2022-01-26 12:55 knosulko Note Added: 0106602
2022-01-26 19:23 git Note Added: 0106610
2022-01-27 02:30 git Note Added: 0106617
2022-01-27 09:19 kgv Note Added: 0106622
2022-01-27 09:19 kgv Note Edited: 0106622
2022-01-28 01:28 git Note Added: 0106641
2022-01-28 14:22 knosulko Assigned To ifv => knosulko
2022-01-28 14:22 knosulko Status resolved => assigned
2022-01-28 14:23 knosulko Time allocated 24.1.2022: 8 h. => set
2022-01-28 14:23 knosulko Time allocated 25.1.2022: 8 h. => set
2022-01-28 14:24 knosulko Time allocated 26.1.2022: 8 h. => set
2022-01-28 14:25 knosulko Time allocated 27.1.2022: 8 h. => set
2022-01-28 14:25 knosulko Time allocated 28.1.2022: 8 h. => set
2022-01-28 15:31 ifv Time allocated 26.1.2022: 1 h. => set
2022-01-28 17:05 git Note Added: 0106655
2022-01-28 19:10 knosulko Assigned To knosulko => ifv
2022-01-28 19:10 knosulko Status assigned => resolved
2022-01-28 19:10 knosulko Note Added: 0106657
2022-01-31 11:30 ifv Time allocated 31.1.2022: 2 h. => set
2022-01-31 11:30 ifv Assigned To ifv => knosulko
2022-01-31 11:30 ifv Status resolved => assigned
2022-01-31 14:12 oan Note Added: 0106692
2022-01-31 17:55 git Note Added: 0106697
2022-02-01 10:08 knosulko Assigned To knosulko => ifv
2022-02-01 10:08 knosulko Status assigned => resolved
2022-02-01 10:08 knosulko Note Added: 0106703
2022-02-01 10:50 knosulko Assigned To ifv => knosulko
2022-02-01 10:50 knosulko Status resolved => assigned
2022-02-01 10:52 git Note Added: 0106704
2022-02-01 10:56 knosulko Note Edited: 0106703
2022-02-01 13:20 knosulko Assigned To knosulko => ifv
2022-02-01 13:20 knosulko Status assigned => resolved
2022-02-01 13:20 knosulko Note Added: 0106707
2022-02-01 14:12 git Note Added: 0106708
2022-02-02 16:35 ifv Assigned To ifv => bugmaster
2022-02-02 16:35 ifv Status resolved => reviewed
2022-02-02 16:35 ifv Note Added: 0106719
2022-02-04 14:46 knosulko Time allocated 31.1.2022: 8 h. => set
2022-02-04 14:47 knosulko Time allocated 1.2.2022: 8 h. => set
2022-02-05 15:31 smoskvin Status reviewed => tested
2022-02-05 15:31 smoskvin Note Added: 0106756
2022-02-05 17:13 smoskvin Changeset attached => occt master 0b6a0adb
2022-02-05 17:13 knosulko Assigned To bugmaster => knosulko
2022-02-05 17:13 knosulko Status tested => verified
2022-02-05 17:13 knosulko Resolution open => fixed
2022-02-05 17:22 git Note Added: 0106764
2022-03-24 09:20 azv Target Version 7.7.0 => 7.6.2